#include <GuiCtrlSetOnHover_UDF.au3>
Opt("GuiOnEventMode", 1)

$Btn_Color = 0x7A9DD8
$Hover_Color = 0xFF0000 ;0x7AC5D8

$GUIMain = GuiCreate("GuiCtrlSetOnHover - Letters Demo", 570, 200)
GUISetOnEvent(-3, "Quit")

GUICtrlCreateLetters(10, 60, 18, 20)

$Close = GuiCtrlCreateButton("Close", 30, 120, 100, 30)
GUICtrlSetOnEvent($Close, "Quit")

GuiSetState()

While 1
    Sleep(100)
WEnd

Func GUICtrlCreateLetters($iLeft, $Top, $Width=15, $Height=15)
	Local $iLeft_Begin = $iLeft
	Local $iAsc_Char = 64
	For $i = 0 To 25
		$iLeft_Begin += 20
		$iAsc_Char += 1
		GUICtrlCreateButton(Chr($iAsc_Char), $iLeft_Begin, $Top, $Width, $Height)
		GUICtrlSetOnEvent(-1, "LetterEvents")
		GUICtrlSetOnHover(-1, "Hover_Func", "Leave_Hover_Func")
		GUICtrlSetBkColor(-1, $Btn_Color)
		GUICtrlSetFont(-1, 6)
	Next
EndFunc

Func LetterEvents()
	MsgBox(64, "Pressed", "Letter = " & GUICtrlRead(@GUI_CtrlId))
EndFunc

Func Hover_Func($CtrlID)
	GUICtrlSetBkColor($CtrlID, $Hover_Color)
EndFunc

Func Leave_Hover_Func($CtrlID)
	GUICtrlSetBkColor($CtrlID, $Btn_Color)
EndFunc

Func Quit()
    Exit
EndFunc
