#include <GUICtrlSetOnHover_UDF.au3>

$Gui = GuiCreate("GuiCtrlSetOnHover - With Child Demo", 280, 200)

$Parent_Button = GUICtrlCreateButton("Button", 20, 160, 100, 20)
GUICtrlSetOnHover(-1, "Hover_Func", "Leave_Hover_Func")

GUISetState()

$Child_Gui = GUICreate("Child", 150, 100, -1, -1, -1, -1, $Gui)
$Child_Button = GUICtrlCreateButton("Button", 20, 20, 100, 20)
GUICtrlSetOnHover(-1, "Hover_Func", "Leave_Hover_Func")

While 1
	$Msg = GUIGetMsg()
	Switch $Msg
		Case -3
			Exit
		Case $Parent_Button, $Child_Button
			If BitAND(WinGetState($Child_Gui), 2) Then
				GUISetState(@SW_HIDE, $Child_Gui)
			Else
				GUISetState(@SW_SHOW, $Child_Gui)
			EndIf
	EndSwitch
WEnd

Func Hover_Func($CtrlID)
	Switch $CtrlID
		Case $Parent_Button, $Child_Button
			If GUICtrlRead($CtrlID) <> "Show/Hide Child" Then GUICtrlSetData($CtrlID, "Show/Hide Child")
	EndSwitch
EndFunc

Func Leave_Hover_Func($CtrlID)
	Switch $CtrlID
		Case $Parent_Button, $Child_Button
			If GUICtrlRead($CtrlID) <> "Button" Then GUICtrlSetData($CtrlID, "Button")
	EndSwitch
EndFunc